Bug 134874 - [patch] Port fix games/iourbanterror on amd64
Summary: [patch] Port fix games/iourbanterror on amd64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-23 15:30 UTC by Mak Kolybabi
Modified: 2009-07-28 23:40 UTC (History)
0 users

See Also:


Attachments
file.txt (537 bytes, text/plain)
2009-05-23 15:30 UTC, Mak Kolybabi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mak Kolybabi 2009-05-23 15:30:18 UTC
After compiling and installing the dedicated server for Urban Terror on an amd64 FreeBSD server, the dedicated server can't start up. The settings used for the server do not appear to alleviate this problem.

This issue does not occur on i386 FreeBSD servers.

Fix: The problem is caused by a single-character error in the virtual machine. At one point a single '%' is intended to be printed, but since it is a special character in C printf-like functions, it doesn't print.

The fix is simply changing the offending '%' to '%%'. There is already a patch for the file containing this error in the port. My attached patch adds another hunk to the pre-existing patch.

Once the attached patch is applied, and the port is recompiled and reinstalled, the dedicated server works perfectly.

Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/games/iorbanterror
# make clean
===>  Cleaning for iourbanterror-2007.12.20_4
# make install
[snip]
# rehash
# ioUrTded +map ut4_abbey
ioQ3 1.35urt freebsd-amd64 May 23 2009
----- FS_Startup -----
Going through search path...

----------------------
8032 files in pk3 files
execing default.cfg
execing q3config.cfg
execing autoexec.cfg
Hunk_Clear: reset the hunk ok
--- Common Initialization Complete ---
Opening IP socket: localhost:27960
Hostname: localhost
Alias: ely.nepharia.org
Alias: ely
IP: 127.0.0.1
Started tty console (use +set ttycon 0 to disable)
------ Server Initialization ------
Server: ut4_abbey
Hunk_Clear: reset the hunk ok
----- FS_Startup -----
Going through search path...

----------------------
16064 files in pk3 files
Loading vm file vm/qagame.qvm...
total 0, hsize 1021, zero 1021, min 0, max 0
parsearg() - expected '%'
-> jmpq *rax
Comment 1 Edwin Groothuis freebsd_committer 2009-05-23 15:30:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2009-07-28 23:31:46 UTC
alepulver    2009-07-28 22:31:35 UTC

  FreeBSD ports repository

  Modified files:
    games/iourbanterror/files patch-code__qcommon__vm_x86_64.c 
  Log:
  - Fix VM in amd64 ("%" -> "%%" in format string).
  - Bump PORTREVISION.
  
  PR:             ports/134874
  Submitted by:   Mak Kolybabi <mak@mogigoma.com>
  
  Revision  Changes    Path
  1.2       +9 -0      ports/games/iourbanterror/files/patch-code__qcommon__vm_x86_64.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Alejandro Pulver freebsd_committer 2009-07-28 23:34:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!